Bug 1459474 - python-sphinxcontrib-httpdomain: Provide a Python 3 subpackage
python-sphinxcontrib-httpdomain: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-httpdomain (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2017-06-07 05:12 EDT by Iryna Shcherbina
Modified: 2017-07-11 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-sphinxcontrib-httpdomain-1.5.0-3.fc25 python-sphinxcontrib-httpdomain-1.5.0-3.fc26 python-sphinxcontrib-httpdomain-1.5.0-3.el6 python-sphinxcontrib-httpdomain-1.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 21:52:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iryna Shcherbina 2017-06-07 05:12:18 EDT
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://pythonhosted.org/sphinxcontrib-httpdomain/#version-1-2-0
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/
Comment 1 Fedora Update System 2017-06-22 23:41:58 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-63e60703a5
Comment 2 Fedora Update System 2017-06-23 17:18:51 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-61efb4100e
Comment 3 Fedora Update System 2017-06-23 18:22:56 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-63e60703a5
Comment 4 Fedora Update System 2017-06-23 21:22:47 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b9e93ed0e
Comment 5 Fedora Update System 2017-06-23 22:48:14 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6dd47c958e
Comment 6 Fedora Update System 2017-07-03 21:52:24 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-07-07 18:57:24 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-07-11 16:20:17 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-07-11 16:51:19 EDT
python-sphinxcontrib-httpdomain-1.5.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.